Package Details: python2-flufl-lock 2.4.1-1

Git Clone URL: https://aur.archlinux.org/python2-flufl-lock.git (read-only, click to copy)
Package Base: python2-flufl-lock
Description: NFS-safe file locking with timeouts for POSIX systems
Upstream URL: https://gitlab.com/warsaw/flufl.lock
Licenses: LGPL
Submitter: L0ric0
Maintainer: L0ric0
Last Packager: L0ric0
Votes: 0
Popularity: 0.000000
First Submitted: 2019-11-30 18:35
Last Updated: 2019-12-10 10:27

Latest Comments

L0ric0 commented on 2019-12-10 10:33

all the fufl python2 pkg that i'm maintaining should now be downgraded to the version which support python2. if you are using these for mailman-core you don't need them (a dependency installs them and i haven't gotten word from the maintainer). if you need these pkg for your own project consider switching to python3 as python2 will be eol on 01.01.2020. to port your projects to python3 see https://docs.python.org/3/howto/pyporting.html

TheGoliath commented on 2019-12-09 20:23

You might be using an to recent/or wrong source for compiling then

TheGoliath commented on 2019-12-09 20:22

Appeals to more python2 packages you're maintaining @L0ric0

TheGoliath commented on 2019-12-09 20:21

==> Entering fakeroot environment... ==> Starting package_python2-flufl-lock()... Python 3.4.0 or better is required

compiling just with the standard python(3) binary works.